[Deprecated]: v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/fileupload/rndlists/{rndListId}
Deprecated: Use latest version instead. Creates a randomization list from an uploaded file. Rights: DesignerRandListUpload. This API operation stores file data against the specified randomization list. File ID is a unique identifier for the uploaded file received from File Upload Services.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
rndListId(required): string(UUID)
ID of the randomization list.Example:
B1B8327AFAA6412287106192AB5984EF -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
A1B2C3D4E5F6478899AABBCCDDEEFF00
Query Parameters
-
fileId(required): string
ID of the file.Example:
8C5C1C4D0E1F2A3B4C5D6E7F8091A2B3
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- */*
204 Response
Successful operation
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.